# Use the official Bun image
FROM oven/bun:latest
ENV CI=true
# Set the working directory
WORKDIR /app

COPY package.json ./

# Install dependencies
RUN bun install --production

# Copy the rest of the application code
COPY . .

ENV NODE_ENV=production

# Expose the port the app runs on
EXPOSE 3000

# Start the Bun server
CMD ["bun", "./src/index.ts"]